## libsysactivity 0.5.4

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.6.0)

project(libsysactivity C)
set(LIBSA_VERSION "0.5.4")
set(CMAKE_VERBOSE_MAKEFILE TRUE)
enable_testing()

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
	set(CMAKE_INSTALL_PREFIX "/usr")
	message(STATUS "CMAKE_INSTALL_PREFIX is not set, using default value: ${CMAKE_INSTALL_PREFIX}")
endif (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

	# Compilation parameters
add_definitions(-Wall)
include(CheckCCompilerFlag) # Checking if the visibility flag is available
check_c_compiler_flag("-fvisibility=hidden" HAS_VISIBILITY_FLAG)
if (HAS_VISIBILITY_FLAG)
	add_definitions(-fvisibility=hidden)
endif (HAS_VISIBILITY_FLAG)

add_subdirectory(src)
add_subdirectory(cmake)
add_subdirectory(test EXCLUDE_FROM_ALL)

=== src/CMakeLists.txt ===

	# Checking the OS
if (${CMAKE_SYSTEM_NAME} MATCHES "^Linux$|^FreeBSD$|^SunOS$|^NetBSD$|^OpenBSD$|^kFreeBSD$")
	message(STATUS "OS detected: ${CMAKE_SYSTEM_NAME}")
else ()
	message(FATAL_ERROR "${CMAKE_SYSTEM_NAME} is not supported")
endif ()

IF(NOT DEFINED HEADERS_INSTALLATION_DIR)
	SET(HEADERS_INSTALLATION_DIR "${CMAKE_INSTALL_PREFIX}/include/libsysactivity/")
ENDIF(NOT DEFINED HEADERS_INSTALLATION_DIR)

IF(NOT DEFINED LIB_INSTALLATION_DIR)
	SET(LIB_INSTALLATION_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ENDIF(NOT DEFINED LIB_INSTALLATION_DIR)

	# Common headers
ADD_SUBDIRECTORY(common)

	# Specific code
INCLUDE_DIRECTORIES(common/)
if (${CMAKE_SYSTEM_NAME} STREQUAL "kFreeBSD")
	add_subdirectory("FreeBSD")
else ()
	add_subdirectory(${CMAKE_SYSTEM_NAME})
endif ()

=== test/CMakeLists.txt ===

add_executable(cpu test_cpu.c)
target_link_libraries(cpu sysactivity pthread)

add_executable(data_storage test_data_storage.c)
target_link_libraries(data_storage sysactivity pthread)

add_executable(memory test_memory.c)
target_link_libraries(memory sysactivity pthread)

add_executable(network test_network.c)
target_link_libraries(network sysactivity pthread)

add_executable(process test_process.c)
target_link_libraries(process sysactivity pthread)

add_test(cpu cpu)
add_test(data_storage data_storage)
add_test(memory memory)
add_test(network network)
add_test(process process)

=== src/FreeBSD/CMakeLists.txt ===

list(APPEND SPECIFIC_HDRS libsysactivity.h)
INSTALL(FILES ${SPECIFIC_HDRS} DESTINATION ${HEADERS_INSTALLATION_DIR})

FILE(GLOB LIBSA_SPECIFIC_SRCS *.c)

ADD_LIBRARY(sysactivity SHARED ${LIBSA_SPECIFIC_SRCS})
SET_TARGET_PROPERTIES(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION 0)
if (${CMAKE_SYSTEM_NAME} STREQUAL "kFreeBSD")
	target_link_libraries(sysactivity bsd)
else ()
	target_link_libraries(sysactivity)
endif ()

INSTALL(TARGETS sysactivity LIBRARY DESTINATION ${LIB_INSTALLATION_DIR})

=== src/NetBSD/CMakeLists.txt ===

list(APPEND SPECIFIC_HDRS libsysactivity.h)
INSTALL(FILES ${SPECIFIC_HDRS} DESTINATION ${HEADERS_INSTALLATION_DIR})

FILE(GLOB LIBSA_SPECIFIC_SRCS *.c)

ADD_LIBRARY(sysactivity SHARED ${LIBSA_SPECIFIC_SRCS})
SET_TARGET_PROPERTIES(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION 0)
TARGET_LINK_LIBRARIES(sysactivity)

INSTALL(TARGETS sysactivity LIBRARY DESTINATION ${LIB_INSTALLATION_DIR})

=== src/SunOS/CMakeLists.txt ===

list(APPEND SPECIFIC_HDRS libsysactivity.h)
INSTALL(FILES ${SPECIFIC_HDRS} DESTINATION ${HEADERS_INSTALLATION_DIR})

FILE(GLOB LIBSA_SPECIFIC_SRCS *.c)

ADD_LIBRARY(sysactivity SHARED ${LIBSA_SPECIFIC_SRCS})
SET_TARGET_PROPERTIES(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION 0)
TARGET_LINK_LIBRARIES(sysactivity kstat)

INSTALL(TARGETS sysactivity LIBRARY DESTINATION ${LIB_INSTALLATION_DIR})

=== debian/changelog ===
libsysactivity (0.5.4-6) unstable; urgency=low

  * Fix a number of resource leaks reported by cppcheck.

 -- Niels Thykier <niels@thykier.net>  Tue, 28 Sep 2010 20:48:01 +0200

libsysactivity (0.5.4-5) unstable; urgency=low

  * Added patch to fix the issue with calculating memory on kFreeBSD
    based architectures for machines with > 4 GB RAM.
    (Closes: #594594)
  * Added patch to disable "cpu idle" test, which causes build
    failures due to false positives.

 -- Niels Thykier <niels@thykier.net>  Fri, 10 Sep 2010 12:11:25 +0200

libsysactivity (0.5.4-4) unstable; urgency=low

  * Applied patch from upstream to fix an issue with calculating memory
    on (k)FreeBSD based architectures (Closes: #593018).

 -- Niels Thykier <niels@thykier.net>  Sat, 21 Aug 2010 13:35:13 +0200

libsysactivity (0.5.4-3) unstable; urgency=low

  * Enable verbose test output.
  * Applied patch from upstream to fix an issue with reading the
    swap data. (Closes: #593018)
  * Skip the process test on Linux if the kernel is too old; fixes
    FTBFS in Ubuntu.

 -- Niels Thykier <niels@thykier.net>  Wed, 18 Aug 2010 00:08:38 +0200

libsysactivity (0.5.4-2) unstable; urgency=low

  * Added missing B-D on libkvm-dev for kfreebsd. (Closes: #591378)
  * Bumped Standards-Versions to 3.9.1 - no changes required.
  * Removed incorrect quotes in d/rules.

 -- Niels Thykier <niels@thykier.net>  Tue, 03 Aug 2010 01:46:59 +0200

libsysactivity (0.5.4-1) unstable; urgency=low

  [ Niels Thykier ]
  * New upstream release.
  * Added patch to allow removal of libdevstat-dev from B-D on
    kfreebsd architectures.
  * Backported patch to allow testing libsysactivity from the
    build directory.
  * Enabled a subset of upstream build tests.
  * Bumped Standards-Version to 3.9.0 - no changes required.

  [ Jan Hauke Rahm ]
  * Set DMUA

 -- Niels Thykier <niels@thykier.net>  Sun, 25 Jul 2010 09:34:18 +0200

libsysactivity (0.5.3+cvs20100613-1) unstable; urgency=low

  * New upstream release.
    - Pulled from CVS to deal with some non-DFSG compatible licenses.
    (Closes: #586342)
  * Removed patch applied upstream.

 -- Niels Thykier <niels@thykier.net>  Fri, 18 Jun 2010 18:06:53 +0200

libsysactivity (0.5.2-1) unstable; urgency=low

  * New upstream release.
    - Updated years in debian/copyright.
  * Pulled patch from upstream CVS to fix linking on kFreeBSD.
    (Closes: #580515) - thanks to Cyril Brulebois for triaging
    the problem.

 -- Niels Thykier <niels@thykier.net>  Tue, 18 May 2010 22:29:54 +0200

libsysactivity (0.5.1-1) unstable; urgency=low

  * Initial release. (Closes: #567500)

 -- Niels Thykier <niels@thykier.net>  Tue, 13 Apr 2010 22:19:01 +0200

=== debian/control ===
Source: libsysactivity
Section: libs
Priority: optional
Maintainer: Niels Thykier <niels@thykier.net>
DM-Upload-Allowed: yes
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               libbsd-dev [kfreebsd-i386 kfreebsd-amd64],
               libkvm-dev [kfreebsd-i386 kfreebsd-amd64]
Build-Depends-Indep: doxygen
Standards-Version: 3.9.1
Homepage: http://sourceforge.net/projects/libsysactivity/
Vcs-Git: git://git.debian.org/collab-maint/libsysactivity.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libsysactivity.git

Package: libsysactivity0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Retrieves statistics of the system's activity
 A lightweight library that retrieves statistics of the system's
 activity in a portable and thread safe way. In each OS that it
 supports it offers the same API for retrieving the activity of:
 .
  * hard disks
  * CPUs memory
  * processes
  * network interfaces.

Package: libsysactivity-dev
Architecture: any
Section: libdevel
Depends: libsysactivity0 (= ${binary:Version}), ${misc:Depends}
Description: Retrieves statistics of the system's activity (development headers)
 A lightweight library that retrieves statistics of the system's
 activity in a portable and thread safe way. In each OS that it
 supports it offers the same API for retrieving the activity of:
 .
  * hard disks
  * CPUs memory
  * processes
  * network interfaces.
 .
 This package contains the development header files. Non-developers
 likely have little use for this package.

Package: libsysactivity0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libsysactivity0 (= ${binary:Version}), ${misc:Depends}
Description: Retrieves statistics of the system's activity (debug package)
 A lightweight library that retrieves statistics of the system's
 activity in a portable and thread safe way. In each OS that it
 supports it offers the same API for retrieving the activity of:
 .
  * hard disks
  * CPUs memory
  * processes
  * network interfaces.
 .
 This package contains the debug symbols. Non-developers likely have
 little use for this package.

Package: libsysactivity-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libsysactivity-dev
Description: Retrieves statistics of the system's activity (development doc)
 A lightweight library that retrieves statistics of the system's
 activity in a portable and thread safe way. In each OS that it
 supports it offers the same API for retrieving the activity of:
 .
  * hard disks
  * CPUs memory
  * processes
  * network interfaces.
 .
 This package contains the development API documentation. Non-developers
 likely have little use for this package.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

# Skip data_storage test - requires that /sys is mounted
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
    # Also disable process and network on kFreeBSD
    # part of process is not implemented and not sure
    # about the network test.
    DISABLED_TESTS:=^data_storage|process|network\$$
    ARCH=FreeBSD
else
    KERNEL_VERSION:=$(shell uname -r | cut -d '.' -f 3 | perl -ne 'print "ok" if(m/^(\d+)/ && $$1 >= 25);')
    ifeq ($(KERNEL_VERSION),ok)
        DISABLED_TESTS:=^data_storage\$$
    else
        DISABLED_TESTS:=^data_storage|process\$$
    endif
    ARCH=Linux
endif

%:
	dh $@ -Bbuild

override_dh_auto_configure:
	dh_auto_configure -Bbuild -- -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CFLAGS)" \
				-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
				-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
				-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
				-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
				-DCMAKE_SKIP_RPATH:BOOL=ON
	sh debian/build-doc.sh

override_dh_auto_test:
	$(MAKE) -C build -f test/Makefile all
	cd build && LD_LIBRARY_PATH="$(CURDIR)/build/src/$(ARCH)" ctest -V --force-new-ctest-process -E "$(DISABLED_TESTS)"

override_dh_strip:
	dh_strip --dbg-package=libsysactivity0-dbg

override_dh_auto_clean:
	dh_auto_clean -Bbuild
	# Remove the doc-directories
	rm -fr doc/*/

## libsysactivity 0.6.2

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.6.0)

project(libsysactivity C)
set(LIBSA_VERSION "0.6.2")
set(CMAKE_VERBOSE_MAKEFILE TRUE)
enable_testing()

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
	set(CMAKE_INSTALL_PREFIX "/usr")
	message(STATUS "CMAKE_INSTALL_PREFIX is not set, using default value: ${CMAKE_INSTALL_PREFIX}")
endif (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

	# Adding compiler and linker flags
add_definitions(-Wall)
	# Checking if the -Wlogical-op flag is available
include(CheckCCompilerFlag)
check_c_compiler_flag("-Wlogical-op" HAS_LOGICAL_OP_FLAG)
if (HAS_LOGICAL_OP_FLAG)
	add_definitions(-Wlogical-op)
endif (HAS_LOGICAL_OP_FLAG)
	# Checking if the visibility flag is available
check_c_compiler_flag("-fvisibility=hidden" HAS_VISIBILITY_FLAG)
if (HAS_VISIBILITY_FLAG)
	add_definitions(-fvisibility=hidden)
endif (HAS_VISIBILITY_FLAG)
	# Adding the -flto flag to the compiler and linker when available
check_c_compiler_flag("-flto" HAS_FLTO_FLAG)
if (HAS_FLTO_FLAG)
	add_definitions(-flto)
	set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -flto")
endif (HAS_FLTO_FLAG)

	# Adding debug flags
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wextra -Wshadow")

add_subdirectory(src)
add_subdirectory(cmake)
add_subdirectory(test EXCLUDE_FROM_ALL)

=== test/CMakeLists.txt ===

if (${CMAKE_SYSTEM_NAME} STREQUAL "kFreeBSD")
	include_directories(../src/FreeBSD/)
else ()
	include_directories(../src/${CMAKE_SYSTEM_NAME}/)
endif ()
include_directories(../src/common/)

foreach(TEST_NAME cpu disk memory network process swap)
	add_executable(${TEST_NAME} test_${TEST_NAME}.c)
	add_dependencies(${TEST_NAME} sysactivity)
	target_link_libraries(${TEST_NAME} sysactivity pthread)
	add_test(${TEST_NAME} ${TEST_NAME})
endforeach(TEST_NAME)

=== debian/changelog ===
libsysactivity (0.6.2-5) unstable; urgency=low

  * Use buildflags.mk from dpkg-dev to set compiler and linker
    flags.
    - This enables hardning flags.
  * Bumped debhelper compat to 8.
  * Bumped DEP-5 revision.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Nov 2011 15:06:04 +0100

libsysactivity (0.6.2-4) unstable; urgency=low

  * Use kfreebsd-any wildcard instead of explicitly listing known
    kfreebsd architectures.  (Closes: #634728)

 -- Niels Thykier <niels@thykier.net>  Fri, 29 Jul 2011 10:46:35 +0200

libsysactivity (0.6.2-3) unstable; urgency=low

  * Upload to unstable.

 -- Niels Thykier <niels@thykier.net>  Tue, 26 Jul 2011 11:27:35 +0200

libsysactivity (0.6.2-2) experimental; urgency=low

  * Removed B-D on the gold linker, since it is not available on
    most architectures and the problem appears to have been fixed.
  * Removed DMUA flag; it was not needed for it anymore.
  * Do not build with -flto since it (for some reason) marks the
    stack as executable.

 -- Niels Thykier <niels@thykier.net>  Sat, 09 Jul 2011 13:32:27 +0200

libsysactivity (0.6.2-1) experimental; urgency=low

  * New upstream release.
    - API/ABI breakage.  Hench the upload to experimental.
  * Disabled disk and process test.  The first fails because /sys/
    is not available and the second is unreliable.
  * Use (and B-D on) the gold linker as the GNU linker fails; see
    http://lists.gnu.org/archive/html/bug-binutils/2010-12/msg00069.html
  * Bumped S-V to 3.9.2 - no changes required.
  * Used jquery.js from libjs-jquery instead of letting doxygen
    embedding a copy of it in libsysactivity-doc.

 -- Niels Thykier <niels@thykier.net>  Sat, 02 Jul 2011 12:39:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: libs
 Priority: optional
 Maintainer: Niels Thykier <niels@thykier.net>
-DM-Upload-Allowed: yes
 Build-Depends: cmake,
-               debhelper (>= 7.0.50~),
-               libbsd-dev [kfreebsd-i386 kfreebsd-amd64],
-               libkvm-dev [kfreebsd-i386 kfreebsd-amd64]
+               debhelper (>= 8~),
+               dpkg-dev (>= 1.16.1~),
+               libbsd-dev [kfreebsd-any],
+               libkvm-dev [kfreebsd-any],
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://sourceforge.net/projects/libsysactivity/
 Vcs-Git: git://git.debian.org/collab-maint/libsysactivity.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libsysactivity.git
 
-Package: libsysactivity0
+Package: libsysactivity1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Retrieves statistics of the system's activity
@@ -29,7 +29,7 @@
 Package: libsysactivity-dev
 Architecture: any
 Section: libdevel
-Depends: libsysactivity0 (= ${binary:Version}), ${misc:Depends}
+Depends: libsysactivity1 (= ${binary:Version}), ${misc:Depends}
 Description: Retrieves statistics of the system's activity (development headers)
  A lightweight library that retrieves statistics of the system's
  activity in a portable and thread safe way. In each OS that it
@@ -43,11 +43,11 @@
  This package contains the development header files. Non-developers
  likely have little use for this package.
 
-Package: libsysactivity0-dbg
+Package: libsysactivity1-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libsysactivity0 (= ${binary:Version}), ${misc:Depends}
+Depends: libsysactivity1 (= ${binary:Version}), ${misc:Depends}
 Description: Retrieves statistics of the system's activity (debug package)
  A lightweight library that retrieves statistics of the system's
  activity in a portable and thread safe way. In each OS that it
@@ -64,7 +64,7 @@
 Package: libsysactivity-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-jquery
 Suggests: libsysactivity-dev
 Description: Retrieves statistics of the system's activity (development doc)
  A lightweight library that retrieves statistics of the system's

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

# Skip data_storage test - requires that /sys is mounted
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
    # Also disable process and network on kFreeBSD
    # part of process is not implemented and not sure
    # about the network test.
    DISABLED_TESTS:=^data_storage|disk|process|network\$$
    ARCH=FreeBSD
else
    KERNEL_VERSION:=$(shell uname -r | cut -d '.' -f 1,2,3 | \
			 perl -ne 'print "ok" if m/^(\d+)\.(\d+)(?:\.(\d+))?/ && ($$1 > 2 || $$2 > 6 || $$3 >= 25);')
    # the process tests requires Linux >= 2.6.25
    ifeq ($(KERNEL_VERSION),ok)
        # temporary disabled the process test, since it currently
        # unreliable.
        DISABLED_TESTS:=^data_storage|disk|process\$$
    else
        DISABLED_TESTS:=^data_storage|disk|process\$$
    endif
    ARCH=Linux
endif

DEB_LDFLAGS_MAINT_APPEND=-Wl,--no-add-needed,--as-needed,--no-undefined

include /usr/share/dpkg/buildflags.mk

%:
	dh $@ -Bbuild

override_dh_auto_configure:
	dh_auto_configure -Bbuild -- -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CFLAGS) " \
				-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
				-DCMAKE_MODULE_LINKER_FLAGS="$(LDFLAGS)" \
				-DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)" \
				-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
				-DCMAKE_SKIP_RPATH:BOOL=ON -DHAS_FLTO_FLAG:BOOL=OFF

	sh debian/build-doc.sh

override_dh_auto_test:
	$(MAKE) -C build -f test/Makefile all
	cd build && LD_LIBRARY_PATH="$(CURDIR)/build/src/$(ARCH)" ctest -V --force-new-ctest-process -E "$(DISABLED_TESTS)"

override_dh_install:
	dh_install
	# check if we are building libsysactivity-doc
	if [ -d debian/libsysactivity-doc ] ; then \
		rm debian/libsysactivity-doc/usr/share/doc/libsysactivity-doc/api/jquery.js ; \
		ln -s ../../../javascript/jquery/jquery.js debian/libsysactivity-doc/usr/share/doc/libsysactivity-doc/api/jquery.js ; \
	fi

override_dh_strip:
	dh_strip --dbg-package=libsysactivity1-dbg

override_dh_auto_clean:
	dh_auto_clean -Bbuild
	# Remove the doc-directories
	rm -fr doc/*/

## libsysactivity 0.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 2.6.0)
 
 project(libsysactivity C)
-set(LIBSA_VERSION "0.6.2")
+set(LIBSA_VERSION "0.6.3")
 set(CMAKE_VERBOSE_MAKEFILE TRUE)
 enable_testing()

=== debian/changelog ===
libsysactivity (0.6.3-1) unstable; urgency=low

  * New upstream release.
    - Dropped patches, fixes applied upstream.

 -- Niels Thykier <niels@thykier.net>  Mon, 04 Jun 2012 17:12:11 +0200

libsysactivity (0.6.2-7) unstable; urgency=low

  * Restrict building to linux-any and kfreebsd-any as there
    is no Hurd port of this package.
  * Remove fflush call on input stream.  It is unneeded and
    in some cases it ends up corrupting the stream state.
    Thanks to Guillem Jover for the report and patch.
    (Closes: #670192)

 -- Niels Thykier <niels@thykier.net>  Mon, 30 Apr 2012 15:33:30 +0200

libsysactivity (0.6.2-6) unstable; urgency=low

  * Pass CPPFLAGS to cmake - this enables fortify functions
    hardening.
  * Bump debhelper compat to 9.
  * Bump Standards-Version to 3.9.3 - no changes required.
  * Use -arch and -indep overrides to determine if the doc
    package is being built.  Add versioned build-depends on
    dpkg-dev 1.16.2 to ensure libsysactivity is built with a
    "build-arch capable" dpkg-buildpackage.

 -- Niels Thykier <niels@thykier.net>  Mon, 23 Apr 2012 14:05:19 +0200

## libsysactivity 0.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 2.6.0)
 
 project(libsysactivity C)
-set(LIBSA_VERSION "0.6.3")
+set(LIBSA_VERSION "0.6.4")
 set(CMAKE_VERBOSE_MAKEFILE TRUE)
 enable_testing()

=== debian/changelog ===
libsysactivity (0.6.4-1) unstable; urgency=low

  * New upstream release.
    - Made Linux version of sa_reset_net_interfaces reload data.
      (LP: #1072398)

 -- Niels Thykier <niels@thykier.net>  Fri, 02 Nov 2012 11:35:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Niels Thykier <niels@thykier.net>
 Build-Depends: cmake,
-               debhelper (>= 8~),
-               dpkg-dev (>= 1.16.1~),
+               debhelper (>= 9~),
+               dpkg-dev (>= 1.16.2~),
                libbsd-dev [kfreebsd-any],
                libkvm-dev [kfreebsd-any],
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://sourceforge.net/projects/libsysactivity/
 Vcs-Git: git://git.debian.org/collab-maint/libsysactivity.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libsysactivity.git
 
 Package: libsysactivity1
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Retrieves statistics of the system's activity
  A lightweight library that retrieves statistics of the system's
@@ -27,7 +27,7 @@
   * network interfaces.
 
 Package: libsysactivity-dev
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Section: libdevel
 Depends: libsysactivity1 (= ${binary:Version}), ${misc:Depends}
 Description: Retrieves statistics of the system's activity (development headers)
@@ -44,7 +44,7 @@
  likely have little use for this package.
 
 Package: libsysactivity1-dbg
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Section: debug
 Priority: extra
 Depends: libsysactivity1 (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -30,32 +30,42 @@
 %:
 	dh $@ -Bbuild
 
-override_dh_auto_configure:
-	dh_auto_configure -Bbuild -- -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CFLAGS) " \
+override_dh_auto_configure-indep:
+	# Do nothing for indep
+
+override_dh_auto_configure-arch:
+	dh_auto_configure -Bbuild -- -DCMAKE_C_FLAGS="$(CFLAGS) $(CPPFLAGS)" \
 				-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
-				-DCMAKE_MODULE_LINKER_FLAGS="$(LDFLAGS)" \
 				-DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)" \
 				-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
 				-DCMAKE_SKIP_RPATH:BOOL=ON -DHAS_FLTO_FLAG:BOOL=OFF
 
+# This override is not strictly required, but without it debhelper
+# will call cmake for the indep build (which is a bit wasteful :P)
+override_dh_auto_build-arch:
+	dh_auto_build
+
+override_dh_auto_build-indep:
 	sh debian/build-doc.sh
 
-override_dh_auto_test:
+override_dh_auto_test-indep:
+	# Do nothing for indep
+
+override_dh_auto_test-arch:
 	$(MAKE) -C build -f test/Makefile all
 	cd build && LD_LIBRARY_PATH="$(CURDIR)/build/src/$(ARCH)" ctest -V --force-new-ctest-process -E "$(DISABLED_TESTS)"
 
-override_dh_install:
-	dh_install
-	# check if we are building libsysactivity-doc
-	if [ -d debian/libsysactivity-doc ] ; then \
-		rm debian/libsysactivity-doc/usr/share/doc/libsysactivity-doc/api/jquery.js ; \
-		ln -s ../../../javascript/jquery/jquery.js debian/libsysactivity-doc/usr/share/doc/libsysactivity-doc/api/jquery.js ; \
-	fi
+override_dh_install-arch:
+	dh_install -a
 
-override_dh_strip:
+override_dh_install-indep:
+	dh_install -i
+	rm debian/libsysactivity-doc/usr/share/doc/libsysactivity-doc/api/jquery.js
+	ln -s ../../../javascript/jquery/jquery.js debian/libsysactivity-doc/usr/share/doc/libsysactivity-doc/api/jquery.js
+
+override_dh_strip-arch:
 	dh_strip --dbg-package=libsysactivity1-dbg
 
-override_dh_auto_clean:
-	dh_auto_clean -Bbuild
+override_dh_auto_clean-indep:
 	# Remove the doc-directories
 	rm -fr doc/*/

## libsysactivity 0.6.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 2.6.0)
 
 project(libsysactivity C)
-set(LIBSA_VERSION "0.6.4")
+set(LIBSA_VERSION "0.6.5")
 set(CMAKE_VERBOSE_MAKEFILE TRUE)
 enable_testing()
 
@@ -24,11 +24,11 @@
 if (HAS_VISIBILITY_FLAG)
 	add_definitions(-fvisibility=hidden)
 endif (HAS_VISIBILITY_FLAG)
-	# Adding the -flto flag to the compiler and linker when available
+
+	# Adding release flags
 check_c_compiler_flag("-flto" HAS_FLTO_FLAG)
 if (HAS_FLTO_FLAG)
-	add_definitions(-flto)
-	set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -flto")
+	set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -flto") # "Combining -flto with -g is currently experimental and expected to produce wrong results."
 endif (HAS_FLTO_FLAG)
 
 	# Adding debug flags

=== cmake/CMakeLists.txt ===
set(FIND_PACKAGE_FILES libsysactivityConfig.cmake libsysactivityConfigVersion.cmake)
install(FILES ${FIND_PACKAGE_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/cmake/libsysactivity/)

=== src/CMakeLists.txt ===

	# Checking the OS
if (${CMAKE_SYSTEM_NAME} MATCHES "^Linux$|^FreeBSD$|^SunOS$|^NetBSD$|^OpenBSD$|^kFreeBSD$|^DragonFly$")
	message(STATUS "OS detected: ${CMAKE_SYSTEM_NAME}")
else ()
	message(FATAL_ERROR "OS: ${CMAKE_SYSTEM_NAME} is not supported")
endif ()

set(LIBSA_ABI_VERSION 1) # Increase this number everytime the ABI is broken

if (NOT DEFINED HEADERS_INSTALLATION_DIR)
	set(HEADERS_INSTALLATION_DIR "${CMAKE_INSTALL_PREFIX}/include/libsysactivity/")
endif (NOT DEFINED HEADERS_INSTALLATION_DIR)

if (NOT DEFINED LIB_INSTALLATION_DIR)
	set(LIB_INSTALLATION_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
endif (NOT DEFINED LIB_INSTALLATION_DIR)

	# Common headers
add_subdirectory(common)

	# Forcing to include the right libsysactivity.h through command line so it can compile whatever file
	# from another operating system without any include conflict
if (${CMAKE_SYSTEM_NAME} STREQUAL "kFreeBSD")
	add_definitions(-include ${CMAKE_CURRENT_SOURCE_DIR}/FreeBSD/libsysactivity.h)
else ()
	add_definitions(-include ${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_SYSTEM_NAME}/libsysactivity.h)
endif ()

	# Specific code
include_directories(common/)
if (${CMAKE_SYSTEM_NAME} STREQUAL "kFreeBSD")
	add_subdirectory("FreeBSD")
else ()
	add_subdirectory(${CMAKE_SYSTEM_NAME})
endif ()

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,6 @@
 foreach(TEST_NAME cpu disk memory network process swap)
 	add_executable(${TEST_NAME} test_${TEST_NAME}.c)
 	add_dependencies(${TEST_NAME} sysactivity)
-	target_link_libraries(${TEST_NAME} sysactivity pthread)
+	target_link_libraries(${TEST_NAME} sysactivity pthread m)
 	add_test(${TEST_NAME} ${TEST_NAME})
 endforeach(TEST_NAME)

=== src/DragonFly/CMakeLists.txt ===

list(APPEND SPECIFIC_HDRS libsysactivity.h)
install(FILES ${SPECIFIC_HDRS} DESTINATION ${HEADERS_INSTALLATION_DIR})

file(GLOB LIBSA_SPECIFIC_SRCS *.c)
list(APPEND LIBSA_SPECIFIC_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../FreeBSD/disk.c)
list(APPEND LIBSA_SPECIFIC_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../FreeBSD/network.c)

add_library(sysactivity SHARED ${LIBSA_SPECIFIC_SRCS})
set_target_properties(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION ${LIBSA_ABI_VERSION})
target_link_libraries(sysactivity kinfo)

install(TARGETS sysactivity LIBRARY DESTINATION ${LIB_INSTALLATION_DIR})

=== src/FreeBSD/CMakeLists.txt ===

list(APPEND SPECIFIC_HDRS libsysactivity.h)
INSTALL(FILES ${SPECIFIC_HDRS} DESTINATION ${HEADERS_INSTALLATION_DIR})

FILE(GLOB LIBSA_SPECIFIC_SRCS *.c)

ADD_LIBRARY(sysactivity SHARED ${LIBSA_SPECIFIC_SRCS})
set_target_properties(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION ${LIBSA_ABI_VERSION})
target_link_libraries(sysactivity)

INSTALL(TARGETS sysactivity LIBRARY DESTINATION ${LIB_INSTALLATION_DIR})

=== src/Linux/CMakeLists.txt ===

list(APPEND SPECIFIC_HDRS libsysactivity.h)
install(FILES ${SPECIFIC_HDRS} DESTINATION ${HEADERS_INSTALLATION_DIR})

file(GLOB LIBSA_SPECIFIC_SRCS *.c)

ADD_LIBRARY(sysactivity SHARED ${LIBSA_SPECIFIC_SRCS})
set_target_properties(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION ${LIBSA_ABI_VERSION})
TARGET_LINK_LIBRARIES(sysactivity)

install(TARGETS sysactivity LIBRARY DESTINATION ${LIB_INSTALLATION_DIR})

=== src/NetBSD/CMakeLists.txt ===

list(APPEND SPECIFIC_HDRS libsysactivity.h)
INSTALL(FILES ${SPECIFIC_HDRS} DESTINATION ${HEADERS_INSTALLATION_DIR})

FILE(GLOB LIBSA_SPECIFIC_SRCS *.c)
list(APPEND LIBSA_SPECIFIC_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../OpenBSD/network.c)
list(APPEND LIBSA_SPECIFIC_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../OpenBSD/swap.c)
list(APPEND LIBSA_SPECIFIC_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../OpenBSD/utils.c)

ADD_LIBRARY(sysactivity SHARED ${LIBSA_SPECIFIC_SRCS})
set_target_properties(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION ${LIBSA_ABI_VERSION})
TARGET_LINK_LIBRARIES(sysactivity)

INSTALL(TARGETS sysactivity LIBRARY DESTINATION ${LIB_INSTALLATION_DIR})

=== src/OpenBSD/CMakeLists.txt ===

list(APPEND SPECIFIC_HDRS libsysactivity.h)
INSTALL(FILES ${SPECIFIC_HDRS} DESTINATION ${HEADERS_INSTALLATION_DIR})

FILE(GLOB LIBSA_SPECIFIC_SRCS *.c)

ADD_LIBRARY(sysactivity SHARED ${LIBSA_SPECIFIC_SRCS})
set_target_properties(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION ${LIBSA_ABI_VERSION})
TARGET_LINK_LIBRARIES(sysactivity)

INSTALL(TARGETS sysactivity LIBRARY DESTINATION ${LIB_INSTALLATION_DIR})

=== src/SunOS/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 FILE(GLOB LIBSA_SPECIFIC_SRCS *.c)
 
 ADD_LIBRARY(sysactivity SHARED ${LIBSA_SPECIFIC_SRCS})
-SET_TARGET_PROPERTIES(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION 0)
+set_target_properties(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION ${LIBSA_ABI_VERSION})
 TARGET_LINK_LIBRARIES(sysactivity kstat)
 
 INSTALL(TARGETS sysactivity LIBRARY DESTINATION ${LIB_INSTALLATION_DIR})

=== src/common/CMakeLists.txt ===

FILE(GLOB LIBSA_COMMON_HDRS *.h)

INSTALL(FILES ${LIBSA_COMMON_HDRS} DESTINATION ${HEADERS_INSTALLATION_DIR})

=== debian/changelog ===
libsysactivity (0.6.5-6) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. See #823722.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Changed from cgit to git in Vcs-Browser field.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/fix-timestamps-generated-by-doxygen: renamed to
      10_fix-timestamps-generated-by-doxygen.patch.
  * debian/rules: removed the --parallel option from dh.
  * debian/watch:
      - Bumped to version 4.
      - Removed the extra source to avoid conflicts with uscan.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 08 May 2016 00:36:37 -0300

libsysactivity (0.6.5-5) unstable; urgency=medium

  * debian/rules: disabled the tests to avoid FTBFS in some cases. Thanks to
      Daniel Schepler <dschepler@gmail.com>. (Closes: #790256)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 15 Jul 2015 18:39:07 -0300

libsysactivity (0.6.5-4) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 25 May 2015 22:28:34 -0300

libsysactivity (0.6.5-3) experimental; urgency=medium

  * Bumped Standards-Version to 3.9.6.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/fix-timestamps-generated-by-doxygen: created to fix a
      trivial issue.
  * debian/watch: added a second way to search new versions.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 26 Feb 2015 14:02:27 -0300

libsysactivity (0.6.5-2) unstable; urgency=medium

  * New maintainer. Thanks a lot to Niels Thykier, the initial maintainer,
      for your nice work over this package.
  * debian/control:
      - Added rdfind as build dependency.
      - Added libjs-jquery as dependency for libsysactivity-doc.
      - Updated the Standards-Version from 3.9.4 to 3.9.5.
      - Updated the Vcs-Browser field.
  * debian/changelog:
      - Added the copyright rights for James C. Warner.
      - Specified the 1.0 format in header.
      - Updated the packaging and upstream copyright years.
  * debian/libsysactivity-doc.links: created a link pointing to jquery.js,
        that was installed by package libjs-jquery.
  * debian/libsysactivity-doc.lintian-overrides: removed. The problem was
      fixed in d/rules.
  * debian/rules:
      - Added doc/doxygen_sqlite3.db to override_dh_auto_clean-indep target.
      - Added --parallel to dh.
      - Added the override_dh_install-indep to delete the embedded library
        jquery.js.
      - Changed from 'DEB_LDFLAGS_MAINT_APPEND' to 'DEB_BUILD_MAINT_OPTIONS'.
        It will add the extra flags requested by blhc command (to CFLAGS and
        LDFLAGS).
      - Removed the include to buildflags.mk. DH9 no longer needs this line.
      - Using rdfind command to transform the duplicated files in hardlinks.
  * debian/watch: updated to support the SourceForge.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 14 Sep 2014 15:21:48 -0300

libsysactivity (0.6.5-1) unstable; urgency=low

  * New upstream release.
  * Stop replacing the jquery.js with a symlink to Debian's
    copy in the libjs-query package.  According to the Doxygen
    maintainers this will not work since Doxygen does not
    maintain compatibility with any jQuery release except the
    one it uses.
  * Bump Standards-Version to 3.9.4 - no changes required.
  * Update the Vcs-* fields to use the canonical URLs.

 -- Niels Thykier <niels@thykier.net>  Tue, 24 Sep 2013 11:16:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: libsysactivity
 Section: libs
 Priority: optional
-Maintainer: Niels Thykier <niels@thykier.net>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: cmake,
                debhelper (>= 9~),
                dpkg-dev (>= 1.16.2~),
                libbsd-dev [kfreebsd-any],
                libkvm-dev [kfreebsd-any],
+               rdfind
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.3
-Homepage: http://sourceforge.net/projects/libsysactivity/
-Vcs-Git: git://git.debian.org/collab-maint/libsysactivity.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libsysactivity.git
+Standards-Version: 3.9.8
+Homepage: http://www.sf.net/projects/libsysactivity
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libsysactivity.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libsysactivity.git
 
 Package: libsysactivity1
 Architecture: linux-any kfreebsd-any

=== debian/rules ===
#!/usr/bin/make -f

DOCPATH=$(CURDIR)/debian/libsysactivity-doc/usr/share/doc/libsysactivity-doc/api

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Bbuild

override_dh_auto_configure-indep:
	# Do nothing for indep

override_dh_auto_configure-arch:
	dh_auto_configure -Bbuild -- -DCMAKE_C_FLAGS="$(CFLAGS) $(CPPFLAGS)" \
				-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
				-DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)" \
				-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
				-DCMAKE_SKIP_RPATH:BOOL=ON -DHAS_FLTO_FLAG:BOOL=OFF

# This override is not strictly required, but without it debhelper
# will call cmake for the indep build (which is a bit wasteful :P)
override_dh_auto_build-arch:
	dh_auto_build

override_dh_auto_build-indep:
	sh debian/build-doc.sh

override_dh_auto_test-indep:
	# Do nothing for indep

override_dh_auto_test:
	# Disabled

override_dh_auto_test-arch:
	$(MAKE) -C build -f test/Makefile all
	cd build && LD_LIBRARY_PATH="$(CURDIR)/build/src/$(ARCH)" ctest -V --force-new-ctest-process -E "$(DISABLED_TESTS)"

override_dh_strip-arch:
	dh_strip --dbg-package=libsysactivity1-dbg

override_dh_install-indep:
	dh_install
# Remove the embedded library. It will be changed to a symlink to the lib already in system.
	rm -rf $(DOCPATH)/jquery.js
# Using rdfind to transform duplicated files in hardlinks.
	rdfind -makehardlinks true -makeresultsfile false $(DOCPATH)

override_dh_auto_clean-indep:
	# Remove the doc-directories
	rm -fr doc/*/
	rm -f doc/doxygen_sqlite3.db

=== debian/watch ===
version=4
http://sf.net/libsysactivity/libsysactivity-(\d\S+)\.tar\.(?:bz2|gz|xz)
